Subject: Re: [PATCH] net: Add etun driver

From: Stephen Hemminger <[email-masked]>
Date: Wed, 11 Apr 2007 09:16:06 -0700

On Tue, 10 Apr 2007 23:16:59 +0200
Johannes Berg <[email-masked]> wrote:

> On Tue, 2007-04-10 at 02:06 +0200, Patrick McHardy wrote:
> 
> > Same way as the current RTM_SETLINK message works, but with creating
> > a new link in advance. It works fine in other subsystems, so I don't
> > see why it would in this case as well. Some subsystems do it in an
> > atomic fashion (network schedulers for example), some first create
> > the object, then configure it (network classifiers in the non-compat
> > cases). In the network device case I suppose the later should work
> > fine since a device needs to be set UP in a second action before
> > it really does anything.
> 
> Looking at br_netlink.c it seems that this sort of contradicts why
> generic netlink was done, now all the sudden everything that wants to
> create new links need its own netlink protocol number, no?
> 
> johannes

Bridging is different since there was already a bridge protocol number assigned,
there was no point in doing generic netlink.

---
Stephen Hemminger <[email-masked]>